#include <cuda_runtime.h>
#include <iostream>
#include <stdio.h>

__global__ void sameNameKernel(int a, int b) {
    printf(">>>>>>>>>> thread b sameNameKernel: %d %d\n", a, b);
}

void thread_b_process(cudaStream_t stream) {
    int block_nums = 2;
    int thread_nums = 2;

    sameNameKernel<<<block_nums, thread_nums, 0, stream>>>(45, 78);
    cudaError_t error = cudaGetLastError();
    if (error != cudaSuccess) {
        std::cout << "!!!!!! thread_b_process cuda error: " << error
            << " " << cudaGetErrorString(error) << std::endl;
    }
}