#include <cuda_runtime.h>
#include <iostream>
#include <stdio.h>

__global__ void sameNameKernel(int a, int b) {
    printf("############ thread a sameNameKernel: %d %d\n", a, b);
}

void thread_a_process(cudaStream_t stream) {
    int block_nums = 1;
    int thread_nums = 1;

    sameNameKernel<<<block_nums, thread_nums, 0, stream>>>(10, 12);
    cudaError_t error = cudaGetLastError();
    if (error != cudaSuccess) {
        std::cout << "!!!!!! thread_a_process cuda error: " << error
                  << " " << cudaGetErrorString(error) << std::endl;
    }
}